<template>
    <q-layout view="hHh lpR fff" @scroll="onScroller">
        <Transition>
            <q-header v-if="showHeader || $q.platform.is.mobile" bordered class="bg-dark" :style="{ height: '50px' }">
                <q-toolbar>
                    <q-img src="/img/logo_flex.svg" width="40px"></q-img>

                    <q-space />

                    <q-btn @click="goToLogin" color="primary" label="Acessar minha conta" outline no-caps rounded text-color="primary" class="text-bold" :style="{ width: '200px' }"></q-btn>
                </q-toolbar>
            </q-header>
        </Transition>


        <q-page-container>
            <div class="text-center flex flex-center relative-position" :style="{ height: '100vh' }">
                <div v-if="$q.platform.is.desktop" class="absolute" :style="{ zIndex: '999', top: '7px', right: '12px' }">
                    <q-btn @click="goToLogin" color="primary" label="Acessar minha conta" outline no-caps rounded text-color="primary" class="text-bold" :style="{ width: '200px' }"></q-btn>
                </div>

                <div class="full-width">
                    <q-parallax class="flex flex-center" src="/img/background_flex.png" :style="{ height: $q.platform.is.desktop ? '100vh' : 'calc(100vh - 230px)' }">
                        <div class="row">
                            <div v-if="$q.platform.is.desktop" class="col-12 col-md-5"></div>
                            <div class="col-12 col-md-7 text-left q-px-xl">
                                <q-intersection once transition="fade" transition-duration="2000">
                                    <h3 class="text-primary text-bold q-my-md">FLEX</h3>
                                    <p :class="[$q.platform.is.desktop ? 'text-h6' : '']" class="text-white q-my-md">O Flex é um Sistema de Gestão desenvolvido para o setor de alimentação e entretenimento. Com ele você será capaz de tornar seu negócio mais lucrativo, reduzindo custos e agilizando o atendimento.</p>
                                    <p :class="[$q.platform.is.desktop ? 'text-h6' : '']" class="text-white q-my-md">O Flex pode ser instalado em um ou mais computadores e usar diversas automações como impressoras, coletores, smartphones e outro.</p>
                                    <q-btn @click="goToFormContact" outline color="primary" label="Saiba mais" no-caps rounded text-color="primary" class="text-bold" :style="{ width: '200px' }"></q-btn>
                                </q-intersection>
                            </div>
                        </div>
                    </q-parallax>
                </div>
                <div class="full-width" :style="{ zIndex: '999', marginTop: $q.platform.is.desktop ? '-60px' : '-80px', height: $q.platform.is.desktop ? '100vh' : '', backgroundImage: 'url(/img/background_section_2.png)', backgroundRepeat: 'no-repeat', backgroundSize: 'cover' }">
                    <div class="flex justify-start full-width q-pa-lg" :style="{ height: $q.platform.is.desktop ? '90vh' : '', marginTop: '100px' }">
                        <div class="row full-width">
                            <div class="col-12 col-md-6 text-left" :class="[ $q.platform.is.desktop ? 'q-px-xl' : '']">
                                <q-intersection once transition="fade" transition-duration="2000">
                                    <q-intersection once transition="slide-right" transition-duration="2000">
                                        <div class="q-pa-md shadow-1" :class="[$q.platform.is.mobile ? 'q-mb-md' : '']" :style="{ borderRadius: '20px', height: $q.platform.is.desktop ? '65vh' : '' }">
                                            <p :class="[$q.platform.is.desktop ? 'text-h4' : 'text-h6']" class="q-my-sm text-dark text-bold">BENEFÍCIOS</p>
                                            <q-separator class="q-mb-md" color="primary" :style="{ width: '220px', height: '3px' }"/>
                                            <p :class="[$q.platform.is.desktop ? 'text-h6' : 'text-subtitle2']">O <span class="text-bold">Portal FLEX</span> é o centralizador de delivery da sua empresa, com o nosso sistema será possível integrar totalmente sua empresa com as principais plataformas de delivery do Brasil, onde você poderá gerenciar e administrar todos os seus pedidos independentemente da plataforma em um único lugar.</p>
                                            <div class="row q-mt-xl">
                                                <div class="col q-pa-md">
                                                    <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                        <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="/img/logo_bee.svg"></q-img>
                                                    </div>
                                                </div>
                                                <div class="col q-pa-md">
                                                    <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                        <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="/img/logo_loggi.svg"></q-img>
                                                    </div>
                                                </div>
                                                <div class="col q-pa-md">
                                                    <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                        <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="/img/logo_rappi.svg"></q-img>
                                                    </div>
                                                </div>
                                                <div class="col q-pa-md">
                                                    <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                        <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="/img/logo_sode.svg"></q-img>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </q-intersection>
                                </q-intersection>
                            </div>
                            <div class="col-12 col-md-6 text-left" :class="[ $q.platform.is.desktop ? 'q-px-xl' : '']">
                                <q-intersection once transition="slide-left" transition-duration="2000">
                                    <q-intersection once transition="fade" transition-duration="2000">
                                        <div class="q-pa-md shadow-1" :style="{ borderRadius: '20px', height: $q.platform.is.desktop ? '65vh' : '' }">
                                            <p :class="[$q.platform.is.desktop ? 'text-h4' : 'text-h6']"  class="q-my-sm text-dark text-bold">CONCENTRADOR DE DELIVERY</p>
                                            <q-separator class="q-mb-md" color="primary" :style="{ width: $q.platform.is.desktop ? '550px' : '220px', height: '3px' }"/>
                                            <p :class="[$q.platform.is.desktop ? 'text-h6' : 'text-subtitle2']">O <span class="text-bold">Portal Flex</span> concentra todos os pedidos de plataformas variadas em um só lugar gerando uma praticidade e diminuindo o tempo de atendimento e entrega da sua empresa.</p>
                                            <div class="row q-mt-xl justify-center">
                                                <div class="col text-center">
                                                    <q-img src="/img/celular.svg" :width="$q.platform.is.desktop ? '150px' : '70px'"></q-img>
                                                </div>
                                                <div class="col text-center">
                                                    <q-img src="/img/site.svg" :width="$q.platform.is.desktop ? '300px' : '120px'"></q-img>
                                                </div>
                                            </div>
                                        </div>
                                    </q-intersection>
                                </q-intersection>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="full-width" :style="{ zIndex: '999', marginTop: $q.platform.is.desktop ? '0px' : '0px', height: $q.platform.is.desktop ? '100vh' : '', backgroundImage: 'url(/img/background_section_4.png)', backgroundRepeat: 'no-repeat', backgroundSize: 'cover' }">
                    <div class="flex justify-start full-width q-pa-lg" :style="{ height: $q.platform.is.desktop ? '90vh' : '', marginTop: '50px' }">
                        <div class="row full-width">
                            <div class="col-12 col-md-6 text-left" :class="[ $q.platform.is.desktop ? 'q-px-xl' : '']">
                                <div class="q-pa-md shadow-1" :class="[$q.platform.is.mobile ? 'q-mb-md' : '']" :style="{ borderRadius: '20px', height: $q.platform.is.desktop ? '65vh' : '' }">
                                    <p :class="[$q.platform.is.desktop ? 'text-h4' : 'text-h6']" class="q-my-sm text-white text-bold">MENU ONLINE</p>
                                    <q-separator class="q-mb-md" color="primary" :style="{ width: '250px', height: '3px' }"/>
                                    <p class="text-white" :class="[$q.platform.is.desktop ? 'text-h6' : 'text-subtitle2']">O <span class="text-bold text-white">Portal FLEX</span> é o centralizador de delivery da sua empresa, com o nosso sistema será possível integrar totalmente sua empresa com as principais plataformas de delivery do Brasil, onde você poderá gerenciar e administrar todos os seus pedidos independentemente da plataforma em um único lugar.</p>
                                    <div class="row q-mt-xl">
                                        <div class="col q-pa-md">
                                            <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="https://api.flex.fsbr.com.br/uploads/logo/00002.jpg"></q-img>
                                            </div>
                                        </div>
                                        <div class="col q-pa-md">
                                            <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="https://api.flex.fsbr.com.br/uploads/logo/00008.jpg"></q-img>
                                            </div>
                                        </div>
                                        <div class="col q-pa-md">
                                            <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="https://api.flex.fsbr.com.br/uploads/logo/00004.jpg"></q-img>
                                            </div>
                                        </div>
                                        <div class="col q-pa-md">
                                            <div class="bg-dark q-pa-sm" :style="{ width: $q.platform.is.desktop ? '95px' : '55px', borderRadius: '5px' }">
                                                <q-img :width="$q.platform.is.desktop ? '80px' : '40px'" src="https://api.flex.fsbr.com.br/uploads/logo/00003.jpg"></q-img>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 text-left" :class="[ $q.platform.is.desktop ? 'q-px-xl' : '']">
                                <q-intersection once transition="slide-up" transition-duration="2000">
                                    <q-intersection once transition="fade" transition-duration="2000">
                                        <q-img src="/img/menu_online_mockup_dispositivos.png" :width="$q.platform.is.desktop ? '500px' : '300px'"></q-img>
                                    </q-intersection>
                                </q-intersection>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="formContact" class="full-width" :style="{ zIndex: '999', marginTop: $q.platform.is.desktop ? '-85px' : '-35px', height: $q.platform.is.desktop ? '100vh' : '', backgroundImage: 'url(/img/background_section_3.png)', backgroundRepeat: 'no-repeat', backgroundSize: 'cover' }">
                    <q-intersection once transition="slide-up" transition-duration="2000">
                        <q-intersection once transition="fade" transition-duration="2000">
                            <div class="flex flex-center q-mb-lg" :style="{ marginTop: '90px' }">
                                <div>
                                    <q-img src="/img/logo_flex.svg" width="70px"></q-img>
                                    <p :class="[$q.platform.is.desktop ? 'text-h6' : '']" class="q-ma-sm">Descubra todas as vantagens em utilizar o Portal Flex. Fale com a gente.</p>
                                </div>
                                <q-form @submit="submitFormContact" :style="{ width: $q.platform.is.desktop ? '60vw' : '90vw' }">
                                    <q-input v-model="formContactData.name" class="q-mb-md bg-dark" input-class="text-primary" label-color="primary" filled label="Nome"></q-input>
                                    <q-input v-model="formContactData.email" class="q-mb-md bg-dark" input-class="text-primary" label-color="primary" filled label="E-mail"></q-input>
                                    <div class="row" :class="[ $q.platform.is.desktop ? 'q-gutter-sm' : '']">
                                        <div class="col-12 col-md">
                                            <q-input mask="(##) ##### - ####" v-model="formContactData.phone" class="q-mb-md bg-dark" input-class="text-primary" label-color="primary" filled label="Celular"></q-input>
                                        </div>
                                        <div class="col-12 col-md">
                                            <q-input v-model="formContactData.city" class="q-mb-md bg-dark" input-class="text-primary" label-color="primary" filled label="Cidade"></q-input>
                                        </div>
                                    </div>
                                    <q-input v-model="formContactData.company" class="q-mb-md bg-dark" input-class="text-primary" label-color="primary" filled label="Empresa"></q-input>
                                    <div>
                                        <q-btn type="submit" submit outline label="Quero mais informações" color="dark" text-color="primary" class="full-width bg-dark q-py-md"></q-btn>
                                    </div>
                                </q-form>
                            </div>
                        </q-intersection>
                    </q-intersection>
                    <div class="text-center text-grey-7">
                        <div class="q-mb-md">
                            <p class="q-mb-sm">Desenvolvido por:</p>
                            <q-img src="https://fsbr.com.br/img/logo_new_noname.svg" width="80px"></q-img>
                        </div>
                        <div class="text-caption">
                            <p class="q-ma-none">FSBR - A Fábrica de Software do Brasil</p>
                            <p class="q-ma-none">Copyright © 2022 - 2024</p>
                        </div>
                    </div>
                </div>
                </div>
        </q-page-container>
    </q-layout>
</template>

<script setup>
import axios from 'axios';
import { ref, onMounted } from 'vue';
import { scroll, useQuasar, QSpinnerCube } from 'quasar';
import { LgpdDialog } from '../components';
import { useLgpdStore } from "../stories/lgpdStore";
import { ContactFormSuccess } from "../components";

const $q = useQuasar();
const lpdgStore = useLgpdStore();
const { getScrollTarget, setVerticalScrollPosition } = scroll
const showHeader = ref(false);
const formContactData = ref({
    name: '',
    mail: '',
    phone: '',
    city: '',
    company: '',
    recaptchaToken: '',
})

function scrollToElement (el) {
    const target = getScrollTarget(el)
    const offset = el.offsetTop + 50
    const duration = 600
    setVerticalScrollPosition(target, offset, duration)
}
function onScroller (info) {
    showHeader.value = info.position > 50
}
function goToLogin () {
    window.location.href = 'https://autenticacao.sso.fsbr.com.br/auth/v1/sso-authentication?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpZCI6IjIiLCJvcmlnaW4iOiJodHRwczpcL1wvZmxleC5mc2JyLmNvbS5iclwvbG9naW4ifQ.eYH3tUNUWJP-U6rGjMgaH-hqkIR30Mm05zVidxr5cww'
}
function goToFormContact () {
    scrollToElement(document.getElementById('formContact'));
}

async function submitFormContact () {
    $q.loading.show({ message: 'Salvando suas informações...', spinner: QSpinnerCube, spinnerColor: 'primary', messageColor: 'primary' })
    setTimeout(() => {
        $q.loading.hide();
        $q.dialog({
            component: ContactFormSuccess,
        }).onOk(() => {})
    }, 2000)

    // const result = await axios.post('https://flex.fsbr.com.br/fale-conosco', formContactData)
    // console.log('RESPOSTA DO FORM CONTATO', result)
}

onMounted(() => {
    if (!Boolean(lpdgStore.getAcceptTerms)) {
        setTimeout(() => {
            $q.dialog({
                component: LgpdDialog,
            }).onOk(() => {
                lpdgStore.updateAcceptTermsOfUse(true)
            });
        }, 1000)
    }
})
</script>

<style scoped>
.v-enter-active,
.v-leave-active {
    transition: opacity 0.5s ease;
}

.v-enter-from,
.v-leave-to {
    opacity: 0;
}
</style>
